MaxMismatchPattern (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.MaxMismatchPattern class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class MaxMismatchPattern

    java.lang.Object
      org.biojava.bio.search.MaxMismatchPattern

All Implemented Interfaces:
  BioPattern

    public class MaxMismatchPattern

extends Object
implements BioPattern

This class permits searching a SymbolList with another SymbolList while permitting a specified number of mismatches. The search pattern can include ambiguity Symbols.

Author:
  Matthew Pocock (wrote original MaxMissmatchPattern class), David Huen (debugging and extension to permit ambiguity symbols)

Constructor Summary
`MaxMismatchPattern()`
`MaxMismatchPattern(SymbolList pattern, int mismatches)`

Method Summary
`int` | `getMismatches()`
`SymbolList` | `getPattern()`
`BioMatcher` | `matcher(SymbolList symList)` Get a matcher that will use these parameters to search a SymbolList.
`void` | `setMismatches(int mismatches)`
`void` | `setPattern(SymbolList pattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxMismatchPattern

    public MaxMismatchPattern()

### MaxMismatchPattern

    public MaxMismatchPattern(SymbolList pattern,
                              int mismatches)

Method Detail

### getMismatches

    public int getMismatches()

### setMismatches

    public void setMismatches(int mismatches)

### getPattern

    public SymbolList getPattern()

### setPattern

    public void setPattern(SymbolList pattern)

### matcher

    public BioMatcher matcher(SymbolList symList)
                       throws IllegalAlphabetException

  Description copied from interface: `BioPattern`
  Get a matcher that will use these parameters to search a SymbolList.

  The resulting BioMatcher is independant of this BioPattern. In particular, calling any mutator methods on this pattern will not affect the matcher.

  Specified by:
    `matcher` in interface `BioPattern`
  Parameters:
    `symList` - the SymbolList to match against
  Returns:
    a BioMatcher that will perform the search
  Throws:
    `IllegalAlphabetException` - if symList is not over the right alphabet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD